Skip to main content

Get OHLC

POST 

/marketfeed/ohlc

Retrieve the Open, High, Low and Close price along with LTP for specified list of instruments.

Authentication (required*)

FieldInputDescription
access-token*string
Your current active JWT access token
client-id*string
Your unique Dhan Client ID

Request Parameters​

Request Parameters (required*)

FieldInputDescription
NSE_EQint-array
List of NSE Equity security IDs as integers (comma-separated, e.g. 1333, 11536)
NSE_FNOint-array
List of NSE F&O security IDs as integers (comma-separated, e.g. 49081, 49082)
BSE_EQint-array
List of BSE Equity security IDs as integers (comma-separated)

Response Parameters​

FieldDescription
statusstringAPI response status
dataobjectResponse payload grouped by exchange segment
data.{segment}objectSegment-wise payload grouped by security ID
data.{segment}.{securityId}.last_pricefloatLast traded price for instrument
data.{segment}.{securityId}.ohlcobjectOHLC values for instrument
data.{segment}.{securityId}.ohlc.openfloatOpen price
data.{segment}.{securityId}.ohlc.highfloatHigh price
data.{segment}.{securityId}.ohlc.lowfloatLow price
data.{segment}.{securityId}.ohlc.closefloatClose price